Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Query Parameters

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Required range: x >= 0
Example:

100

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

currencyCode
enum<string>

ISO-4217 code of a currency Roqqett can take payments in: GBP over Faster Payments, EUR over SEPA Instant.

Available options:
GBP,
EUR
Example:

"GBP"

approvalStatus
enum<string>

Only an APPROVED account can receive funds or be set on a checkout. A new account is APPROVED automatically only when Equals has given the merchant the top-up permission (canCreateTopUpCheckouts) or the account is an Equals account; otherwise it stays PENDING until Equals approves or rejects it. Merchants cannot set it.

Available options:
PENDING,
APPROVED,
REJECTED
Example:

"APPROVED"

Response

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
object[]
required
limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Required range: x >= 0
Example:

100